### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »

# Module: `nbconvert.preprocessors.latex`

Module that allows latex output notebooks to be conditioned before they are converted.

## 1 Class

class `IPython.nbconvert.preprocessors.latex.``LatexPreprocessor`(**kw)

  Bases: `IPython.nbconvert.preprocessors.base.Preprocessor`

  Preprocessor for latex destined documents.

  Mainly populates the latex key in the resources dict, adding definitions for pygments highlight styles.

  `preprocess`(nb, resources)

    Preprocessing to apply on each notebook.

    Parameters :

    nb : NotebookNode

    > Notebook being converted

    resources : dictionary

    > Additional resources used in the conversion process. Allows preprocessors to pass variables into the Jinja engine.

### Navigation

- index
- modules |
- modules |
- next |
- previous |
- home|
- search|
- documentation »
- The IPython API »